const STANDARDIZE_SUBCATS = {
  'American Lit': 'American Literature',
  'American Literature': 'American Literature',
  'US Literature': 'American Literature',
  'U.S. Literature': 'American Literature',
  'Miscellaneous American': 'American Literature',
  'British Lit': 'British Literature',
  'Brit Lit': 'British Literature',
  'British Literature': 'British Literature',
  'British Miscellaneous': 'British Literature',
  'Anglo Lit': 'British Literature',
  'Ancient Literature': 'Classical Literature',
  'Classical Literature': 'Classical Literature',
  'European/World Lit': 'European Literature',
  'European Literature': 'European Literature',
  'European Lit': 'European Literature',
  EuroLit: 'European Literature',
  'Euro Lit': 'European Literature',
  'Literature Shakespeare': 'European Literature',
  'World Literature': 'World Literature',
  'World Lit': 'World Literature',
  'Other Literature': 'Other Literature',
  'Mixed Lit': 'Other Literature',
  'Other Lit': 'Other Literature',
  'Literary Criticism': 'Other Literature',
  Nonfiction: 'Other Literature',
  Essay: 'Other Literature',
  'Any Lit': 'Other Literature',
  'Misc Literature': 'Other Literature',
  'Miscellaneous Literature': 'Other Literature',
  'Misc Lit': 'Other Literature',
  'American History': 'American History',
  'American Hist': 'American History',
  AmHist: 'American History',
  'US Hist': 'American History',
  'US History': 'American History',
  'U.S. History': 'American History',
  'Ancient History': 'Ancient History',
  'Classical History': 'Ancient History',
  'British History': 'European History',
  BritHist: 'European History',
  'European History': 'European History',
  'European Hist': 'European History',
  'Euro History': 'European History',
  'Europe History': 'European History',
  'Other Western History': 'European History',
  'Mediterranean History': 'European History',
  ContHist: 'European History',
  'Continental History': 'European History',
  'International Hist': 'World History',
  'World History': 'World History',
  'World Hist': 'World History',
  'Commonwealth History': 'World History',
  'Commonwealth/Misc': 'World History',
  'African History': 'World History',
  'Asian History': 'World History',
  'Misc. History': 'Other History',
  'Misc History': 'Other History',
  Zeitgeist: 'Other History',
  'Other History': 'Other History',
  'Mixed History': 'Other History',
  Historiography: 'Other History',
  'Historio/Archaeo': 'Other History',
  Archaeology: 'Other History',
  'Any History': 'Other History',
  Bio: 'Biology',
  Biology: 'Biology',
  Botany: 'Biology',
  Chem: 'Chemistry',
  Chemistry: 'Chemistry',
  Phys: 'Physics',
  Physics: 'Physics',
  Math: 'Other Science',
  Mathematics: 'Other Science',
  Statistics: 'Other Science',
  Astronomy: 'Other Science',
  Astro: 'Other Science',
  'Computer Science': 'Other Science',
  CompSci: 'Other Science',
  'Earth Science': 'Other Science',
  'Earth Sci': 'Other Science',
  Earth: 'Other Science',
  'Atmospheric Science': 'Other Science',
  'Environmental Science': 'Other Science',
  'Ocean Science': 'Other Science',
  Engineering: 'Other Science',
  'Other Science': 'Other Science',
  'Other Sci': 'Other Science',
  OSci: 'Other Science',
  'Misc. Science': 'Other Science',
  'Science Culture': 'Other Science',
  'Science African': 'Other Science',
  'Science Tech': 'Other Science',
  'Science Academic': 'Other Science',
  'Science History': 'Other Science',
  'Science Applied/Eng': 'Other Science',
  Painting: 'Visual Fine Arts',
  Sculpture: 'Visual Fine Arts',
  'Visual FA': 'Visual Fine Arts',
  'Visual Fine Art': 'Visual Fine Arts',
  'Visual Fine Arts': 'Visual Fine Arts',
  'Visual Arts': 'Visual Fine Arts',
  'Visual Art': 'Visual Fine Arts',
  'European Art': 'Visual Fine Arts',
  'World Art': 'Visual Fine Arts',
  Music: 'Auditory Fine Arts',
  'Auditory FA': 'Auditory Fine Arts',
  'Auditory Fine Art': 'Auditory Fine Arts',
  'Auditory Fine Arts': 'Auditory Fine Arts',
  'Audial Fine Arts': 'Auditory Fine Arts',
  'Auditory Arts': 'Auditory Fine Arts',
  'Auditory Art': 'Auditory Fine Arts',
  'Classical Music': 'Auditory Fine Arts',
  'Misc. FA': 'Other Fine Arts',
  'Other Arts': 'Other Fine Arts',
  'Other Fine Art': 'Other Fine Arts',
  Architecture: 'Other Fine Arts',
  Ballet: 'Other Fine Arts',
  Theatre: 'Other Fine Arts',
  Theater: 'Other Fine Arts',
  Fashion: 'Other Fine Arts',
  Performance: 'Other Fine Arts',
  'Fine Arts - World Art': 'Other Fine Arts',
  Photography: 'Visual Fine Arts',
  Film: 'Other Fine Arts',
  Jazz: 'Auditory Fine Arts',
  Opera: 'Other Fine Arts',
  Dance: 'Other Fine Arts',
  'Misc. Art': 'Other Fine Arts',
  'Misc Art': 'Other Fine Arts',
  'Any Art': 'Other Fine Arts',
  OVisArt: 'Other Fine Arts',
  OAudArt: 'Other Fine Arts',
  OtherArt: 'Other Fine Arts',
  OArts: 'Other Fine Arts',
  OArt: 'Other Fine Arts',
  'Performing Arts': 'Other Fine Arts',
  Rel: 'Religion',
  Religion: 'Religion',
  Theology: 'Religion',
  Buddhism: 'Religion',
  'Christian Practice': 'Religion',
  'Hebrew Bible': 'Religion',
  Hinduism: 'Religion',
  Islam: 'Religion',
  'Jewish Practice': 'Religion',
  'New Testament': 'Religion',
  Practices: 'Religion',
  'Bible/Christianity': 'Religion',
  Bible: 'Religion',
  Mythology: 'Mythology',
  'Misc Belief': 'Mythology',
  Myth: 'Mythology',
  Legends: 'Mythology',
  Stories: 'Mythology',
  Philosophy: 'Philosophy',
  'Phil/Thought': 'Philosophy',
  Thought: 'Philosophy',
  PhilO: 'Philosophy',
  Econ: 'Social Science',
  Economy: 'Social Science',
  Economic: 'Social Science',
  Economics: 'Social Science',
  Psychology: 'Social Science',
  Linguistics: 'Social Science',
  Sociology: 'Social Science',
  Anthro: 'Social Science',
  Anthropology: 'Social Science',
  'Political Science': 'Social Science',
  Law: 'Social Science',
  'Cultural Criticism': 'Social Science',
  'Other Social Science': 'Social Science',
  'Social Science': 'Social Science',
  'Modern World': 'Current Events',
  'Current Events': 'Current Events',
  CE: 'Current Events',
  Geography: 'Geography',
  Geo: 'Geography',
  'Other Academic': 'Other Academic',
  'Misc. Academic': 'Other Academic',
  'Mixed Academic': 'Other Academic',
  Miscellaneous: 'Other Academic',
  'General Knowledge': 'Other Academic',
  "Writer's Choice": 'Other Academic',
  'Writer’s Choice': 'Other Academic',
  'My Choice': 'Other Academic',
  OA: 'Other Academic',
  Trash: 'Trash',
  Movies: 'Trash',
  'Pop Culture': 'Trash',
  'Popular Culture': 'Trash',
  Culture: 'Trash',
  Sports: 'Trash',
  Other: 'Other Academic'
};
export default STANDARDIZE_SUBCATS;
